import { ModuleWithProviders } from '@angular/core';
import { XoApi } from '../api/api';
import { XoConfig } from '../api/config/config';
export declare abstract class XoGlobals {
    abstract readonly appConfig: XoConfig.AppConfig;
    abstract readonly apiCache: XoApi.Cache;
}
export declare class XoBrowserGlobals extends XoGlobals {
    readonly appConfig: XoConfig.AppConfig;
    readonly apiCache: XoApi.Cache;
}
export declare class XoNodeGlobals extends XoGlobals {
    readonly appConfig: XoConfig.AppConfig;
    readonly apiCache: XoApi.Cache;
}
export declare class XoGlobalsModule {
    static forBrowser(): ModuleWithProviders;
    static forNode(): ModuleWithProviders;
}
