(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http'), require('rxjs'), require('@angular/router'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('angular-xo', ['exports', '@angular/core', '@angular/common/http', 'rxjs', '@angular/router', '@angular/platform-browser'], factory) :
    (global = global || self, factory(global['angular-xo'] = {}, global.ng.core, global.ng.common.http, global.rxjs, global.ng.router, global.ng.platformBrowser));
}(this, (function (exports, core, http, rxjs, router, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/globals/globals.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    XoGlobals = /** @class */ (function () {
        function XoGlobals() {
        }
        return XoGlobals;
    }());
    if (false) {
        /**
         * @abstract
         * @return {?}
         */
        XoGlobals.prototype.appConfig = function () { };
        /**
         * @abstract
         * @return {?}
         */
        XoGlobals.prototype.apiCache = function () { };
    }
    var XoBrowserGlobals = /** @class */ (function (_super) {
        __extends(XoBrowserGlobals, _super);
        function XoBrowserGlobals() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(XoBrowserGlobals.prototype, "appConfig", {
            get: /**
             * @return {?}
             */
            function () {
                return window['appConfig'] || (/** @type {?} */ ({}));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(XoBrowserGlobals.prototype, "apiCache", {
            get: /**
             * @return {?}
             */
            function () {
                return window['apiCache'] || (/** @type {?} */ ({}));
            },
            enumerable: true,
            configurable: true
        });
        return XoBrowserGlobals;
    }(XoGlobals));
    var XoNodeGlobals = /** @class */ (function (_super) {
        __extends(XoNodeGlobals, _super);
        function XoNodeGlobals() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(XoNodeGlobals.prototype, "appConfig", {
            get: /**
             * @return {?}
             */
            function () {
                return {};
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(XoNodeGlobals.prototype, "apiCache", {
            get: /**
             * @return {?}
             */
            function () {
                return {};
            },
            enumerable: true,
            configurable: true
        });
        return XoNodeGlobals;
    }(XoGlobals));
    var XoGlobalsModule = /** @class */ (function () {
        function XoGlobalsModule() {
        }
        /**
         * @return {?}
         */
        XoGlobalsModule.forBrowser = /**
         * @return {?}
         */
        function () {
            return {
                ngModule: XoGlobalsModule,
                providers: [
                    { provide: XoGlobals, useClass: XoBrowserGlobals }
                ]
            };
        };
        /**
         * @return {?}
         */
        XoGlobalsModule.forNode = /**
         * @return {?}
         */
        function () {
            return {
                ngModule: XoGlobalsModule,
                providers: [
                    { provide: XoGlobals, useClass: XoNodeGlobals }
                ]
            };
        };
        XoGlobalsModule.decorators = [
            { type: core.NgModule, args: [{},] }
        ];
        return XoGlobalsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/apiRequest.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoApiRequestService = /** @class */ (function () {
        function XoApiRequestService(_globals, _http) {
            this._globals = _globals;
            this._http = _http;
            /**
             * Base path or URL of the Xo API.
             */
            this.apiUrl = '';
            if (('paths' in this._globals.appConfig)
                && ('apiUrl' in this._globals.appConfig.paths)) {
                this.apiUrl = this._globals.appConfig.paths.apiUrl;
            }
        }
        /**
         * Perform a GET request to the Xo API.
         *
         * @param path Relative path of the API endpoint.
         * @param params Input parameters added to the GET request.
         * @param useCache Pro feature, optionally retrieve the item from apiCache.
         */
        /**
         * Perform a GET request to the Xo API.
         *
         * @template T
         * @param {?} path Relative path of the API endpoint.
         * @param {?=} params Input parameters added to the GET request.
         * @param {?=} useCache Pro feature, optionally retrieve the item from apiCache.
         * @return {?}
         */
        XoApiRequestService.prototype.get = /**
         * Perform a GET request to the Xo API.
         *
         * @template T
         * @param {?} path Relative path of the API endpoint.
         * @param {?=} params Input parameters added to the GET request.
         * @param {?=} useCache Pro feature, optionally retrieve the item from apiCache.
         * @return {?}
         */
        function (path, params, useCache) {
            var _this = this;
            return this.cacheCheck(path, params, useCache, (/**
             * @return {?}
             */
            function () {
                return _this._http.get(_this.apiUrl + path, { params: params });
            }));
        };
        /**
         * Perform a POST request to the Xo API.
         *
         * @param path Relative path of the API endpoint.
         * @param params Input parameters added to the POST request.
         * @param useCache Pro feature, optionally retrieve the item from apiCache.
         */
        /**
         * Perform a POST request to the Xo API.
         *
         * @template T
         * @param {?} path Relative path of the API endpoint.
         * @param {?} params Input parameters added to the POST request.
         * @param {?=} useCache Pro feature, optionally retrieve the item from apiCache.
         * @return {?}
         */
        XoApiRequestService.prototype.post = /**
         * Perform a POST request to the Xo API.
         *
         * @template T
         * @param {?} path Relative path of the API endpoint.
         * @param {?} params Input parameters added to the POST request.
         * @param {?=} useCache Pro feature, optionally retrieve the item from apiCache.
         * @return {?}
         */
        function (path, params, useCache) {
            var _this = this;
            return this.cacheCheck(path, params, useCache, (/**
             * @return {?}
             */
            function () {
                return _this._http.post(_this.apiUrl + path, params);
            }));
        };
        /**
         * @private
         * @template T
         * @param {?} url
         * @param {?} params
         * @param {?} useCache
         * @param {?} callback
         * @return {?}
         */
        XoApiRequestService.prototype.cacheCheck = /**
         * @private
         * @template T
         * @param {?} url
         * @param {?} params
         * @param {?} useCache
         * @param {?} callback
         * @return {?}
         */
        function (url, params, useCache, callback) {
            var _this = this;
            return new rxjs.Observable((/**
             * @param {?} observer
             * @return {?}
             */
            function (observer) {
                var next = observer.next, error = observer.error;
                /** @type {?} */
                var key = url + ((params) ? ':' + JSON.stringify(params) : '');
                if (((useCache) || (typeof useCache === 'undefined'))
                    && (_this._globals.apiCache[key])) {
                    observer.next(_this._globals.apiCache[key]);
                }
                else {
                    if (callback) {
                        callback().subscribe((/**
                         * @param {?} response
                         * @return {?}
                         */
                        function (response) {
                            observer.next(response);
                        }));
                    }
                    else {
                        observer.error();
                    }
                }
            }));
        };
        XoApiRequestService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoApiRequestService.ctorParameters = function () { return [
            { type: XoGlobals },
            { type: http.HttpClient }
        ]; };
        return XoApiRequestService;
    }());
    if (false) {
        /**
         * Base path or URL of the Xo API.
         * @type {?}
         */
        XoApiRequestService.prototype.apiUrl;
        /** @type {?} */
        XoApiRequestService.prototype._globals;
        /** @type {?} */
        XoApiRequestService.prototype._http;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/api.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoApiService = /** @class */ (function () {
        function XoApiService(_request) {
            this._request = _request;
        }
        XoApiService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoApiService.ctorParameters = function () { return [
            { type: XoApiRequestService }
        ]; };
        return XoApiService;
    }());
    if (false) {
        /** @type {?} */
        XoApiService.prototype._request;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/config/config.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for retrieving the main site configuration.
     */
    var XoApiConfigService = /** @class */ (function (_super) {
        __extends(XoApiConfigService, _super);
        function XoApiConfigService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get the main site configuration.
         */
        /**
         * Get the main site configuration.
         * @param {?} name
         * @return {?}
         */
        XoApiConfigService.prototype.get = /**
         * Get the main site configuration.
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this._request.get('/config/get');
        };
        XoApiConfigService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiConfigService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/menus/menus.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for retrieving navigation menus.
     */
    var XoApiMenusService = /** @class */ (function (_super) {
        __extends(XoApiMenusService, _super);
        function XoApiMenusService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get a navigation menu by location name.
         */
        /**
         * Get a navigation menu by location name.
         * @param {?} name
         * @return {?}
         */
        XoApiMenusService.prototype.get = /**
         * Get a navigation menu by location name.
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this._request.get('/menus/get', {
                menu: name
            });
        };
        XoApiMenusService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiMenusService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/options/options.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for retrieving option groups.
     */
    var XoApiOptionsService = /** @class */ (function (_super) {
        __extends(XoApiOptionsService, _super);
        function XoApiOptionsService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get an option group by name.
         */
        /**
         * Get an option group by name.
         * @param {?} name
         * @return {?}
         */
        XoApiOptionsService.prototype.get = /**
         * Get an option group by name.
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this._request.get('/options/get', {
                name: name
            });
        };
        XoApiOptionsService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiOptionsService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/posts/posts.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for retrieving, searching, and listing various post types.
     */
    var XoApiPostsService = /** @class */ (function (_super) {
        __extends(XoApiPostsService, _super);
        function XoApiPostsService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get a post using either the relative URL or postId.
         */
        /**
         * Get a post using either the relative URL or postId.
         * @param {?} url
         * @return {?}
         */
        XoApiPostsService.prototype.get = /**
         * Get a post using either the relative URL or postId.
         * @param {?} url
         * @return {?}
         */
        function (url) {
            return this._request.get('/posts/get', {
                url: url
            });
        };
        /**
         * Get a post draft or preview only if user logged in and can view.
         */
        /**
         * Get a post draft or preview only if user logged in and can view.
         * @param {?} postId
         * @return {?}
         */
        XoApiPostsService.prototype.getDraftOrPreview = /**
         * Get a post draft or preview only if user logged in and can view.
         * @param {?} postId
         * @return {?}
         */
        function (postId) {
            return this._request.get('/posts/getDraftOrPreview', {
                postId: postId
            });
        };
        /**
         * Filter, search, or list posts by various properties similar to get_posts().
         */
        /**
         * Filter, search, or list posts by various properties similar to get_posts().
         * @param {?} params
         * @return {?}
         */
        XoApiPostsService.prototype.filter = /**
         * Filter, search, or list posts by various properties similar to get_posts().
         * @param {?} params
         * @return {?}
         */
        function (params) {
            return this._request.post('/posts/filter', params);
        };
        /**
         * Retrieve the config for a given post type.
         */
        /**
         * Retrieve the config for a given post type.
         * @param {?} postType
         * @return {?}
         */
        XoApiPostsService.prototype.config = /**
         * Retrieve the config for a given post type.
         * @param {?} postType
         * @return {?}
         */
        function (postType) {
            return this._request.get('/posts/config', {
                postType: postType
            });
        };
        XoApiPostsService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiPostsService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/routes/routes.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for retrieving dynamic routes and sitemap.
     */
    var XoApiRoutesService = /** @class */ (function (_super) {
        __extends(XoApiRoutesService, _super);
        function XoApiRoutesService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get the dynamic route configuration.
         */
        /**
         * Get the dynamic route configuration.
         * @return {?}
         */
        XoApiRoutesService.prototype.get = /**
         * Get the dynamic route configuration.
         * @return {?}
         */
        function () {
            return this._request.get('/routes/get');
        };
        /**
         * Get breadcrumb sitemap entries for the given URL.
         */
        /**
         * Get breadcrumb sitemap entries for the given URL.
         * @param {?} url
         * @return {?}
         */
        XoApiRoutesService.prototype.breadcrumbs = /**
         * Get breadcrumb sitemap entries for the given URL.
         * @param {?} url
         * @return {?}
         */
        function (url) {
            return this._request.get('/routes/breadcrumbs', {
                url: url
            });
        };
        /**
         * Get sitemap entries for posts and terms.
         */
        /**
         * Get sitemap entries for posts and terms.
         * @return {?}
         */
        XoApiRoutesService.prototype.sitemap = /**
         * Get sitemap entries for posts and terms.
         * @return {?}
         */
        function () {
            return this._request.get('/routes/sitemap');
        };
        XoApiRoutesService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiRoutesService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/terms/terms.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provide endpoints for filtering terms.
     */
    var XoApiTermsService = /** @class */ (function (_super) {
        __extends(XoApiTermsService, _super);
        function XoApiTermsService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Get a taxonomy and term by url.
         */
        /**
         * Get a taxonomy and term by url.
         * @param {?} url
         * @return {?}
         */
        XoApiTermsService.prototype.get = /**
         * Get a taxonomy and term by url.
         * @param {?} url
         * @return {?}
         */
        function (url) {
            return this._request.get('/terms/get', {
                url: url
            });
        };
        /**
         * Filter, search, or list terms by various properties similar to get_terms().
         */
        /**
         * Filter, search, or list terms by various properties similar to get_terms().
         * @param {?} params
         * @return {?}
         */
        XoApiTermsService.prototype.filter = /**
         * Filter, search, or list terms by various properties similar to get_terms().
         * @param {?} params
         * @return {?}
         */
        function (params) {
            return this._request.post('/terms/filter', params);
        };
        XoApiTermsService.decorators = [
            { type: core.Injectable }
        ];
        return XoApiTermsService;
    }(XoApiService));

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/routes/route.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoRouteService = /** @class */ (function () {
        function XoRouteService(_injector, _routesService) {
            this._injector = _injector;
            this._routesService = _routesService;
        }
        /**
         * @return {?}
         */
        XoRouteService.prototype.getRoutes = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var router$1 = this._injector.get(router.Router);
            return new Promise((/**
             * @param {?} resolve
             * @param {?} reject
             * @return {?}
             */
            function (resolve, reject) {
                _this._routesService.get()
                    .subscribe((/**
                 * @param {?} response
                 * @return {?}
                 */
                function (response) {
                    if (response.success)
                        router$1.resetConfig(response.routes);
                    resolve(true);
                }));
            }));
        };
        XoRouteService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoRouteService.ctorParameters = function () { return [
            { type: core.Injector },
            { type: XoApiRoutesService }
        ]; };
        return XoRouteService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        XoRouteService.prototype._injector;
        /**
         * @type {?}
         * @private
         */
        XoRouteService.prototype._routesService;
    }
    /**
     * @param {?} _routeService
     * @return {?}
     */
    function XoInitRoutes(_routeService) {
        return (/**
         * @return {?}
         */
        function () { return _routeService.getRoutes(); });
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/posts/post.resolver.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoPostResolver = /** @class */ (function () {
        function XoPostResolver(_postService) {
            this._postService = _postService;
        }
        /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        XoPostResolver.prototype.resolve = /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        function (_route, _state) {
            var _this = this;
            return new Promise((/**
             * @param {?} resolve
             * @param {?} reject
             * @return {?}
             */
            function (resolve, reject) {
                /** @type {?} */
                var onSubscribe = (/**
                 * @param {?} response
                 * @return {?}
                 */
                function (response) {
                    if (response.success)
                        resolve(response.post);
                    reject();
                });
                if (_route.data.postId) {
                    _this._postService.getDraftOrPreview(_route.data.postId)
                        .subscribe(onSubscribe);
                }
                else if (_route.parent.data['postPreview']) {
                    _this._postService.getDraftOrPreview(_route.params['slug'])
                        .subscribe(onSubscribe);
                }
                else {
                    /** @type {?} */
                    var url = ((_route.data.url) ? (_route.data.url) : _state.url.split(/[?#]/)[0]);
                    _this._postService.get(url).subscribe(onSubscribe);
                }
            }));
        };
        XoPostResolver.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoPostResolver.ctorParameters = function () { return [
            { type: XoApiPostsService }
        ]; };
        return XoPostResolver;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        XoPostResolver.prototype._postService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/components/posts/post.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoPostComponent = /** @class */ (function () {
        function XoPostComponent(_router, _route, _title, _globals) {
            this._router = _router;
            this._route = _route;
            this._title = _title;
            this._globals = _globals;
            this._router.routeReuseStrategy.shouldReuseRoute = (/**
             * @return {?}
             */
            function () { return false; });
        }
        /**
         * @return {?}
         */
        XoPostComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.setPost();
        };
        /**
         * @return {?}
         */
        XoPostComponent.prototype.setPost = /**
         * @return {?}
         */
        function () {
            if (this._route.snapshot.data['breadcrumbs']) {
                this.breadcrumbs = this._route.snapshot.data['breadcrumbs'];
            }
            if (this._route.snapshot.data['post']) {
                this.post = this._route.snapshot.data['post'];
                this.setTitle();
            }
        };
        /**
         * @return {?}
         */
        XoPostComponent.prototype.setTitle = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var title = ((this.post.title) ? this.post.title + ' | ' : '') + this._globals.appConfig.app.title;
            this._title.setTitle(title);
        };
        XoPostComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoPostComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: router.ActivatedRoute },
            { type: platformBrowser.Title },
            { type: XoGlobals }
        ]; };
        return XoPostComponent;
    }());
    if (false) {
        /** @type {?} */
        XoPostComponent.prototype.breadcrumbs;
        /** @type {?} */
        XoPostComponent.prototype.post;
        /** @type {?} */
        XoPostComponent.prototype._router;
        /** @type {?} */
        XoPostComponent.prototype._route;
        /** @type {?} */
        XoPostComponent.prototype._title;
        /** @type {?} */
        XoPostComponent.prototype._globals;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/components/posts/postsList.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoPostsListComponent = /** @class */ (function (_super) {
        __extends(XoPostsListComponent, _super);
        function XoPostsListComponent(_router, _route, _title, _globals, _posts) {
            var _this = _super.call(this, _router, _route, _title, _globals) || this;
            _this._router = _router;
            _this._route = _route;
            _this._title = _title;
            _this._globals = _globals;
            _this._posts = _posts;
            _this.posts = [];
            _this.postsTotal = 0;
            _this.pageCount = 0;
            _this.postsFilterArgs = {
                currentPage: 1,
                postsPerPage: 10
            };
            return _this;
        }
        /**
         * @return {?}
         */
        XoPostsListComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.post = this._route.snapshot.data['post'];
            this.getPosts();
        };
        /**
         * @return {?}
         */
        XoPostsListComponent.prototype.getPosts = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._posts.filter(this.postsFilterArgs)
                .subscribe((/**
             * @param {?} response
             * @return {?}
             */
            function (response) {
                if (response.success) {
                    _this.posts = response.posts;
                    _this.postsTotal = response.total;
                    _this.setPageCount();
                }
            }));
        };
        /**
         * @return {?}
         */
        XoPostsListComponent.prototype.setPageCount = /**
         * @return {?}
         */
        function () {
            if (this.postsFilterArgs.postsPerPage)
                this.pageCount = Math.ceil(this.postsTotal / this.postsFilterArgs.postsPerPage);
            else
                this.pageCount = 1;
        };
        XoPostsListComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoPostsListComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: router.ActivatedRoute },
            { type: platformBrowser.Title },
            { type: XoGlobals },
            { type: XoApiPostsService }
        ]; };
        return XoPostsListComponent;
    }(XoPostComponent));
    if (false) {
        /** @type {?} */
        XoPostsListComponent.prototype.posts;
        /** @type {?} */
        XoPostsListComponent.prototype.postsTotal;
        /** @type {?} */
        XoPostsListComponent.prototype.pageCount;
        /** @type {?} */
        XoPostsListComponent.prototype.postsFilterArgs;
        /** @type {?} */
        XoPostsListComponent.prototype._router;
        /** @type {?} */
        XoPostsListComponent.prototype._route;
        /** @type {?} */
        XoPostsListComponent.prototype._title;
        /** @type {?} */
        XoPostsListComponent.prototype._globals;
        /** @type {?} */
        XoPostsListComponent.prototype._posts;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/components/posts/postTerm.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoPostTermComponent = /** @class */ (function (_super) {
        __extends(XoPostTermComponent, _super);
        function XoPostTermComponent(_router, _route, _title, _globals) {
            var _this = _super.call(this, _router, _route, _title, _globals) || this;
            _this._router = _router;
            _this._route = _route;
            _this._title = _title;
            _this._globals = _globals;
            return _this;
        }
        /**
         * @return {?}
         */
        XoPostTermComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.setPost();
            this.setTerm();
        };
        /**
         * @return {?}
         */
        XoPostTermComponent.prototype.setTerm = /**
         * @return {?}
         */
        function () {
            if (this._route.snapshot.data['term']) {
                this.term = this._route.snapshot.data['term'];
            }
        };
        XoPostTermComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoPostTermComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: router.ActivatedRoute },
            { type: platformBrowser.Title },
            { type: XoGlobals }
        ]; };
        return XoPostTermComponent;
    }(XoPostComponent));
    if (false) {
        /** @type {?} */
        XoPostTermComponent.prototype.term;
        /** @type {?} */
        XoPostTermComponent.prototype._router;
        /** @type {?} */
        XoPostTermComponent.prototype._route;
        /** @type {?} */
        XoPostTermComponent.prototype._title;
        /** @type {?} */
        XoPostTermComponent.prototype._globals;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/terms/term.resolver.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoTermResolver = /** @class */ (function () {
        function XoTermResolver(_termsService) {
            this._termsService = _termsService;
        }
        /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        XoTermResolver.prototype.resolve = /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        function (_route, _state) {
            var _this = this;
            return new Promise((/**
             * @param {?} resolve
             * @param {?} reject
             * @return {?}
             */
            function (resolve, reject) {
                /** @type {?} */
                var onSubscribe = (/**
                 * @param {?} response
                 * @return {?}
                 */
                function (response) {
                    if (response.success)
                        resolve(response.term);
                    reject();
                });
                /** @type {?} */
                var url = ((_route.data.url) ? (_route.data.url) : _state.url.split(/[?#]/)[0]);
                _this._termsService.get(url).subscribe(onSubscribe);
            }));
        };
        XoTermResolver.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoTermResolver.ctorParameters = function () { return [
            { type: XoApiTermsService }
        ]; };
        return XoTermResolver;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        XoTermResolver.prototype._termsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/components/terms/term.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoTermComponent = /** @class */ (function () {
        function XoTermComponent(_router, _route, _title, _globals) {
            this._router = _router;
            this._route = _route;
            this._title = _title;
            this._globals = _globals;
            this._router.routeReuseStrategy.shouldReuseRoute = (/**
             * @return {?}
             */
            function () { return false; });
        }
        /**
         * @return {?}
         */
        XoTermComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.setTerm();
        };
        /**
         * @return {?}
         */
        XoTermComponent.prototype.setTerm = /**
         * @return {?}
         */
        function () {
            if (this._route.snapshot.data['breadcrumbs']) {
                this.breadcrumbs = this._route.snapshot.data['breadcrumbs'];
            }
            if (this._route.snapshot.data['term']) {
                this.term = this._route.snapshot.data['term'];
                this.setTitle();
            }
        };
        /**
         * @return {?}
         */
        XoTermComponent.prototype.setTitle = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var title = ((this.term.name) ? this.term.name + ' | ' : '') + this._globals.appConfig.app.title;
            this._title.setTitle(title);
        };
        XoTermComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoTermComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: router.ActivatedRoute },
            { type: platformBrowser.Title },
            { type: XoGlobals }
        ]; };
        return XoTermComponent;
    }());
    if (false) {
        /** @type {?} */
        XoTermComponent.prototype.breadcrumbs;
        /** @type {?} */
        XoTermComponent.prototype.term;
        /** @type {?} */
        XoTermComponent.prototype._router;
        /** @type {?} */
        XoTermComponent.prototype._route;
        /** @type {?} */
        XoTermComponent.prototype._title;
        /** @type {?} */
        XoTermComponent.prototype._globals;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/routes/breadcrumbs.resolver.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoBreadcrumbsResolver = /** @class */ (function () {
        function XoBreadcrumbsResolver(_routesService) {
            this._routesService = _routesService;
        }
        /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        XoBreadcrumbsResolver.prototype.resolve = /**
         * @param {?} _route
         * @param {?} _state
         * @return {?}
         */
        function (_route, _state) {
            var _this = this;
            return new Promise((/**
             * @param {?} resolve
             * @param {?} reject
             * @return {?}
             */
            function (resolve, reject) {
                /** @type {?} */
                var onSubscribe = (/**
                 * @param {?} response
                 * @return {?}
                 */
                function (response) {
                    if (response.success)
                        resolve(response.breadcrumbs);
                    resolve();
                });
                /** @type {?} */
                var url = ((_route.data.url) ? (_route.data.url) : _state.url.split(/[?#]/)[0]);
                _this._routesService.breadcrumbs(url).subscribe(onSubscribe);
            }));
        };
        XoBreadcrumbsResolver.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        XoBreadcrumbsResolver.ctorParameters = function () { return [
            { type: XoApiRoutesService }
        ]; };
        return XoBreadcrumbsResolver;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        XoBreadcrumbsResolver.prototype._routesService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: src/services/api/api.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoApiModule = /** @class */ (function () {
        function XoApiModule() {
        }
        XoApiModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [
                            XoApiService,
                            XoApiRequestService,
                            XoApiOptionsService,
                            XoApiMenusService,
                            XoApiPostsService,
                            XoApiTermsService,
                            XoApiRoutesService
                        ]
                    },] }
        ];
        return XoApiModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: src/angular-xo.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var XoModule = /** @class */ (function () {
        function XoModule() {
        }
        XoModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            platformBrowser.BrowserModule,
                            router.RouterModule,
                            http.HttpClientModule,
                            XoGlobalsModule.forBrowser(),
                            XoApiModule
                        ],
                        providers: [
                            XoRouteService,
                            XoPostResolver,
                            XoPostComponent,
                            XoPostsListComponent,
                            XoPostTermComponent,
                            XoTermResolver,
                            XoTermComponent,
                            XoBreadcrumbsResolver
                        ]
                    },] }
        ];
        return XoModule;
    }());

    exports.XoApiConfigService = XoApiConfigService;
    exports.XoApiMenusService = XoApiMenusService;
    exports.XoApiOptionsService = XoApiOptionsService;
    exports.XoApiPostsService = XoApiPostsService;
    exports.XoApiRequestService = XoApiRequestService;
    exports.XoApiRoutesService = XoApiRoutesService;
    exports.XoApiService = XoApiService;
    exports.XoApiTermsService = XoApiTermsService;
    exports.XoBreadcrumbsResolver = XoBreadcrumbsResolver;
    exports.XoGlobals = XoGlobals;
    exports.XoGlobalsModule = XoGlobalsModule;
    exports.XoInitRoutes = XoInitRoutes;
    exports.XoModule = XoModule;
    exports.XoPostComponent = XoPostComponent;
    exports.XoPostResolver = XoPostResolver;
    exports.XoPostTermComponent = XoPostTermComponent;
    exports.XoPostsListComponent = XoPostsListComponent;
    exports.XoRouteService = XoRouteService;
    exports.XoTermComponent = XoTermComponent;
    exports.XoTermResolver = XoTermResolver;
    exports.ɵa = XoBrowserGlobals;
    exports.ɵb = XoNodeGlobals;
    exports.ɵc = XoApiModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-xo.umd.js.map
