import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { XoGlobals } from '../../services/globals/globals.service';
import { XoPosts } from '../../services/api/posts/posts';
import { XoRoutes } from '../../services/api/routes/routes';
export declare class XoPostComponent implements OnInit {
    _router: Router;
    _route: ActivatedRoute;
    _title: Title;
    _globals: XoGlobals;
    breadcrumbs: Array<XoRoutes.SitemapEntry>;
    post: XoPosts.Post;
    constructor(_router: Router, _route: ActivatedRoute, _title: Title, _globals: XoGlobals);
    ngOnInit(): void;
    setPost(): void;
    setTitle(): void;
}
