import { Router, ActivatedRoute } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { XoGlobals } from '../../services/globals/globals.service';
import { XoPosts } from '../../services/api/posts/posts';
import { XoApiPostsService } from '../../services/api/posts/posts.service';
import { XoPostComponent } from './post.component';
export declare class XoPostsListComponent extends XoPostComponent {
    _router: Router;
    _route: ActivatedRoute;
    _title: Title;
    _globals: XoGlobals;
    _posts: XoApiPostsService;
    posts: Array<XoPosts.Post>;
    postsTotal: number;
    pageCount: number;
    postsFilterArgs: XoPosts.PostsFilterRequest;
    constructor(_router: Router, _route: ActivatedRoute, _title: Title, _globals: XoGlobals, _posts: XoApiPostsService);
    ngOnInit(): void;
    getPosts(): void;
    setPageCount(): void;
}
