import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { XoGlobals } from '../../services/globals/globals.service';
import { XoTerms } from '../../services/api/terms/terms';
import { XoRoutes } from '../../services/api/routes/routes';
export declare class XoTermComponent implements OnInit {
    _router: Router;
    _route: ActivatedRoute;
    _title: Title;
    _globals: XoGlobals;
    breadcrumbs: Array<XoRoutes.SitemapEntry>;
    term: XoTerms.Term;
    constructor(_router: Router, _route: ActivatedRoute, _title: Title, _globals: XoGlobals);
    ngOnInit(): void;
    setTerm(): void;
    setTitle(): void;
}
