import { Observable } from 'rxjs';
import { XoApiService } from '../api.service';
import { XoConfig } from './config';
/**
 * Provide endpoints for retrieving the main site configuration.
 */
export declare class XoApiConfigService extends XoApiService {
    /**
     * Get the main site configuration.
     */
    get(name: string): Observable<XoConfig.ConfigGetResponse>;
}
