import { Observable } from 'rxjs';
import { XoApiService } from '../api.service';
import { XoMenus } from './menus';
/**
 * Provide endpoints for retrieving navigation menus.
 */
export declare class XoApiMenusService extends XoApiService {
    /**
     * Get a navigation menu by location name.
     */
    get(name: string): Observable<XoMenus.MenusGetResponse>;
}
