import { Observable } from 'rxjs';
import { XoApiService } from '../api.service';
import { XoOptions } from './options';
/**
 * Provide endpoints for retrieving option groups.
 */
export declare class XoApiOptionsService extends XoApiService {
    /**
     * Get an option group by name.
     */
    get(name: string): Observable<XoOptions.OptionsGetResponse>;
}
